# -*- rpm-spec -*-
# $Id: kernel-feat-swsusp.spec,v 1.2 2004/03/19 14:34:41 rider Exp $
#

%define patch_name kernel-feat-swsusp

Name: %patch_name
Version: 2004.03.17
Release: alt1

Summary: %patch_name kernel patch - SWSUSP (suspend to disk)
License: GPL
Group: Development/Other
Url: http://sourceforge.net/projects/swsusp/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildArch: noarch

BuildPreReq: kernel-build-tools >= 0.6-alt3

%source 10 2.6_01_software-suspend-linux-2.6.4-test3-whole	2.6
%source 11 2.6_02_software-suspend-core-2.0-whole		2.6
%source 12 2.6_03_software-suspend-core-2.0.0.22-incremental	2.6
%source 13 2.6_04_software-suspend-2.6.4-buildfix		2.6


%description
This is the SWSUSP (suspend to disk) patch for Linux kernel.
Enable the possibility to save the state of your system and 
quickly restore it.

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Wed Mar 17 2004 Anton Farygin <rider@altlinux.ru> 2004.03.17-alt1
- removed patches for 2.4 kernel
- import to kernel CVS
- updated test patch to 2.6.4-test3
- updated core patch to 2.0.0.22

* Wed Mar  3 2004 Ed V. Bartosh <ed@altlinux.org> 2004.03.03-alt1
- add patches for 2.6

* Sat Feb 07 2004 Alex Yustasov <yust@altlinux.ru> 2004.02.07-alt1
- 2.0 version

* Wed Dec 10 2003 Alex Yustasov <yust@altlinux.ru> 2003.12.09-alt1
- 2.0-rc3

* Thu Dec 04 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt7
- added rc2L incremental patch

* Sun Nov 16 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt6
- added rc2J incremental patch

* Wed Nov 12 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt5
- fixed reject after new kernel-fix-core
- fixed apply/kernel-feat-swsusp
  - "|| return 1" after apply_recursive 
- removed patch for kernel-fix-drivers-char

* Tue Nov 04 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt4
- added rc2E-incremental patch
- added release in name source0

* Sat Oct 25 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt3
- remaked with apply script.

* Wed Oct 22 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt2
- 2.0-rc2
- removed laptopmode-option patch

* Thu Oct 16 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt1
- initial release. 2.0rc1

